diff --git a/.github/workflows/build-examples.yaml b/.github/workflows/build-examples.yaml
index ecc98ee47..a202b56da 100644
--- a/.github/workflows/build-examples.yaml
+++ b/.github/workflows/build-examples.yaml
@@ -97,3 +97,23 @@ jobs:
       - name: Build the code
         run: ./build.py
         working-directory: examples/avr/arduinoMega2560/${{ matrix.example_name }}
+
+  posix-examples:
+    name: Build POSIX examples
+    runs-on: ubuntu-22.04
+    needs: goil
+    strategy:
+      matrix:
+        example_name: [can_demo, events, ioc, isr, messages, one_task, periodic, trace_test]
+    steps:
+      - name: Retrieve sources and Goil binary
+        uses: actions/cache/restore@v3
+        with:
+          path: ${{ github.workspace }}
+          key: ${{ env.CACHE_KEY }}
+      - name: Generate the code
+        run: ${{ env.GOIL }} --target=posix/linux  --templates=../../../goil/templates/ ${{ matrix.example_name }}.oil
+        working-directory: examples/posix/${{ matrix.example_name }}
+      - name: Build the code
+        run: ./build.py
+        working-directory: examples/posix/${{ matrix.example_name }}
diff --git a/examples/posix/can_demo/can_demo.c b/examples/posix/can_demo/can_demo.c
index c43fe1510..534025445 100644
--- a/examples/posix/can_demo/can_demo.c
+++ b/examples/posix/can_demo/can_demo.c
@@ -50,8 +50,8 @@ TASK(can_task)
 
 	printf("Transmitting a CAN 2.0 frame with standard ID...\r\n");
 	can_pdu.id = 0x123 | TPL_CAN_ID_TYPE_STANDARD;
-	strcpy(payload, "Ciao !");
-	can_pdu.length = strlen(payload);
+	strcpy((char *) payload, "Ciao !");
+	can_pdu.length = strlen((char *) payload);
 	can_pdu.sdu = payload;
 	pdu_info.SduDataPtr = (uint8 *) &can_pdu;
 	pdu_info.SduLength = sizeof(can_pdu);
diff --git a/examples/posix/can_demo/can_demo.oil b/examples/posix/can_demo/can_demo.oil
index ae7d11529..d049792d0 100644
--- a/examples/posix/can_demo/can_demo.oil
+++ b/examples/posix/can_demo/can_demo.oil
@@ -9,6 +9,7 @@ CPU can_task {
 			LDFLAGS = "-lrt -lpthread";
 			APP_NAME = "can_demo_exe";
 			LINKER = "gcc";
+			CFLAGS = "-W -Wall";
 			SYSTEM = PYTHON;
 			LIBRARY = can;
 		};
diff --git a/machines/posix/tpl_can_demo_driver.c b/machines/posix/tpl_can_demo_driver.c
index bcc8dd856..d9c7d5855 100644
--- a/machines/posix/tpl_can_demo_driver.c
+++ b/machines/posix/tpl_can_demo_driver.c
@@ -56,6 +56,8 @@ tpl_can_controller_t can_demo_driver_controller_2 =
 
 static int can_demo_driver_init(struct tpl_can_controller_t *ctrl, void *data)
 {
+	(void) data;
+
 	printf("[%s:%d] Initialized controller 0x%08X.\r\n", __func__, __LINE__, ctrl->base_address);
 	return 0;
 }
@@ -81,7 +83,7 @@ static int can_demo_driver_set_baudrate(struct tpl_can_controller_t *ctrl, tpl_c
 
 	if (baud_rate >= CAN_BAUD_RATE_COUNT)
 	{
-		printf("[%s:%d] Wrong baud rate code %d, aborting.\r\n", baud_rate);
+		printf("[%s:%d] Wrong baud rate code %d, aborting.\r\n", __func__, __LINE__, baud_rate);
 		return -1;
 	}
 	bits_per_second = baud_rate_lut[baud_rate];
@@ -105,13 +107,17 @@ static Std_ReturnType can_demo_driver_transmit(struct tpl_can_controller_t *ctrl
 
 static Std_ReturnType can_demo_driver_receive(struct tpl_can_controller_t *ctrl, Can_PduType *pdu_info)
 {
+	(void) ctrl;
+
 	pdu_info->id = 0x1ab; // Random value
-	strcpy(pdu_info->sdu, "Test");
-	pdu_info->length = strlen(pdu_info->sdu);
+	strcpy((char *) pdu_info->sdu, "Test");
+	pdu_info->length = strlen((char *) pdu_info->sdu);
 	return 0;
 }
 
 static int can_demo_driver_is_data_available(struct tpl_can_controller_t *ctrl)
 {
+	(void) ctrl;
+
 	return 1;
 }
